.TH "TContainer" 3 "AlatZaAnalitiku" \" -*- nroff -*-
.ad l
.nh
.SH NAME
TContainer
.SH SYNOPSIS
.br
.PP
.PP
\fR#include <tcontainer\&.h>\fP
.PP
Inherits QWidget\&.
.SS "Signals"

.in +1c
.ti -1c
.RI "void \fBinFocus\fP (bool \fBmode\fP)"
.br
.ti -1c
.RI "void \fBoutFocus\fP (bool \fBmode\fP)"
.br
.ti -1c
.RI "void \fBnewGeometry\fP (QRect rect)"
.br
.in -1c
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "\fBTContainer\fP (QWidget *parent, QPoint p, QWidget *cWidget=0, QLayout *\fBl\fP=nullptr)"
.br
.ti -1c
.RI "\fB~TContainer\fP ()"
.br
.ti -1c
.RI "void \fBsetChildWidget\fP (QWidget *cWidget)"
.br
.in -1c
.SS "Public Attributes"

.in +1c
.ti -1c
.RI "QWidget * \fBchildWidget\fP"
.br
.ti -1c
.RI "QMenu * \fBmenu\fP"
.br
.ti -1c
.RI "QPoint \fBposition\fP"
.br
.in -1c
.SS "Protected Member Functions"

.in +1c
.ti -1c
.RI "void \fBsetCursorShape\fP (const QPoint &e_pos)"
.br
.ti -1c
.RI "void \fBfocusInEvent\fP (QFocusEvent *)"
.br
.ti -1c
.RI "void \fBfocusOutEvent\fP (QFocusEvent *)"
.br
.ti -1c
.RI "void \fBmousePressEvent\fP (QMouseEvent *)"
.br
.ti -1c
.RI "void \fBmouseReleaseEvent\fP (QMouseEvent *)"
.br
.ti -1c
.RI "void \fBmouseMoveEvent\fP (QMouseEvent *)"
.br
.ti -1c
.RI "QWidget * \fBclone\fP ()"
.br
.in -1c
.SS "Protected Attributes"

.in +1c
.ti -1c
.RI "int \fBmode\fP"
.br
.ti -1c
.RI "QLayout * \fBl\fP"
.br
.ti -1c
.RI "bool \fBm_infocus\fP"
.br
.ti -1c
.RI "bool \fBm_showMenu\fP"
.br
.ti -1c
.RI "bool \fBm_isEditing\fP"
.br
.in -1c
.SH "Constructor & Destructor Documentation"
.PP 
.SS "TContainer::TContainer (QWidget * parent, QPoint p, QWidget * cWidget = \fR0\fP, QLayout * l = \fRnullptr\fP)"

.SS "TContainer::~TContainer ()"

.SH "Member Function Documentation"
.PP 
.SS "QWidget * TContainer::clone ()\fR [protected]\fP"

.SS "void TContainer::focusInEvent (QFocusEvent *)\fR [protected]\fP"

.SS "void TContainer::focusOutEvent (QFocusEvent *)\fR [protected]\fP"

.SS "void TContainer::inFocus (bool mode)\fR [signal]\fP"

.SS "void TContainer::mouseMoveEvent (QMouseEvent * e)\fR [protected]\fP"

.SS "void TContainer::mousePressEvent (QMouseEvent * e)\fR [protected]\fP"

.SS "void TContainer::mouseReleaseEvent (QMouseEvent * e)\fR [protected]\fP"

.SS "void TContainer::newGeometry (QRect rect)\fR [signal]\fP"

.SS "void TContainer::outFocus (bool mode)\fR [signal]\fP"

.SS "void TContainer::setChildWidget (QWidget * cWidget)"

.SS "void TContainer::setCursorShape (const QPoint & e_pos)\fR [protected]\fP"

.SH "Member Data Documentation"
.PP 
.SS "QWidget* TContainer::childWidget"

.SS "QLayout* TContainer::l\fR [protected]\fP"

.SS "bool TContainer::m_infocus\fR [protected]\fP"

.SS "bool TContainer::m_isEditing\fR [protected]\fP"

.SS "bool TContainer::m_showMenu\fR [protected]\fP"

.SS "QMenu* TContainer::menu"

.SS "int TContainer::mode\fR [protected]\fP"

.SS "QPoint TContainer::position"


.SH "Author"
.PP 
Generated automatically by Doxygen for AlatZaAnalitiku from the source code\&.
